curl --request POST \
--url https://app.alphapo.net/api/v2/crypto/withdrawal_instant \
--header 'Content-Type: application/json' \
--header 'X-Processing-Key: <api-key>' \
--header 'X-Processing-Signature: <x-processing-signature>' \
--data '
{
"sender_currency": "BTC",
"sender_amount": "0.00020000",
"address": "tb1qfdxh6gkfr0qgyatnlkd8khcnxph9tw06n6qwjc",
"foreign_id": "withdrawal_123",
"end_user_reference": "user_12345"
}
'import requests
url = "https://app.alphapo.net/api/v2/crypto/withdrawal_instant"
payload = {
"sender_currency": "BTC",
"sender_amount": "0.00020000",
"address": "tb1qfdxh6gkfr0qgyatnlkd8khcnxph9tw06n6qwjc",
"foreign_id": "withdrawal_123",
"end_user_reference": "user_12345"
}
headers = {
"X-Processing-Signature": "<x-processing-signature>",
"X-Processing-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Processing-Signature': '<x-processing-signature>',
'X-Processing-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
sender_currency: 'BTC',
sender_amount: '0.00020000',
address: 'tb1qfdxh6gkfr0qgyatnlkd8khcnxph9tw06n6qwjc',
foreign_id: 'withdrawal_123',
end_user_reference: 'user_12345'
})
};
fetch('https://app.alphapo.net/api/v2/crypto/withdrawal_instant', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 134702815,
"foreign_id": "withdrawal_123",
"end_user_reference": "user_12345",
"type": "withdrawal_instant",
"status": "processing",
"sender_currency": "BTC",
"sender_amount": "0.00020000"
}
}Withdraw crypto instantly
Make an instant withdrawal from a cryptocurrency balance.
Headers
Hex-encoded HMAC-SHA512 signature of the request body, generated using your secret key.
Body
Currency to withdraw. For a list of all available currencies, see API currency codes.
Amount to withdraw in sender_currency.
Cryptocurrency address where you want to send funds.
Unique ID of the withdrawal request.
Persistent internal ID of the merchant's customer who initiates the withdrawal. Use the same value for the same customer across all requests.
Do not include personal data, such as the customer's name or email address.
Response
Created
Hide child attributes
Hide child attributes
Transaction ID.
Unique ID of the withdrawal request.
Persistent internal ID of the merchant's customer who initiates the withdrawal. Use the same value for the same customer across all requests.
Do not include personal data, such as the customer's name or email address.
Transaction type (always withdrawal_instant).
Transaction status.
Source currency ISO code.
Withdrawal amount.
Was this page helpful?